Bug 609614 - oprofile : does not adhere to Static Library Packaging Guidelines
oprofile : does not adhere to Static Library Packaging Guidelines
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: oprofile (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: William Cohen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 12:58 EDT by Michael Schwendt
Modified: 2011-05-03 00:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: oprofile-0.9.6-20.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-31 15:34:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2010-06-30 12:58:43 EDT
https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

Build: oprofile-0.9.6-6.fc14.src.rpm

oprofile-devel
    contains only static libraries,
    but no virtual -static package is provided
Comment 1 Bug Zapper 2010-07-30 08:20:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 William Cohen 2011-03-31 15:34:21 EDT
Added the desired oprofile-static to the oprofile-devel file.

Long-term would like to remove the oprofile-devel package when the eclipse linux tools switch to using XML.
Comment 3 Fedora Update System 2011-04-07 11:54:57 EDT
oprofile-0.9.6-20.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/oprofile-0.9.6-20.fc13
Comment 4 Fedora Update System 2011-04-07 11:56:47 EDT
oprofile-0.9.6-20.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/oprofile-0.9.6-20.fc14
Comment 5 Fedora Update System 2011-04-07 11:57:39 EDT
oprofile-0.9.6-20.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/oprofile-0.9.6-20.fc15
Comment 6 Fedora Update System 2011-05-02 18:26:37 EDT
oprofile-0.9.6-20.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-05-02 18:29:23 EDT
oprofile-0.9.6-20.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-05-03 00:50:41 EDT
oprofile-0.9.6-20.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.